Get Google Scholar author profile
curl --request GET \
--url https://scrapebadger.com/v1/google/scholar/author \
--header 'x-api-key: <api-key>'import requests
url = "https://scrapebadger.com/v1/google/scholar/author"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://scrapebadger.com/v1/google/scholar/author', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"author": {
"author_id": "<string>",
"name": "<string>",
"affiliations": [
"<string>"
],
"email_domain": "<string>",
"interests": [
"<string>"
],
"thumbnail": "<string>",
"homepage": "<string>"
},
"articles": [
{
"title": "<string>",
"link": "<string>",
"authors": "<string>",
"publication": "<string>",
"cited_by_count": 123,
"cited_by_link": "<string>",
"year": 123
}
],
"stats": {
"citations_all": 123,
"citations_since_year": 123,
"h_index_all": 123,
"h_index_since_year": 123,
"i10_index_all": 123,
"i10_index_since_year": 123,
"since_year": 123
},
"co_authors": [
{
"name": "<string>",
"author_id": "<string>",
"affiliation": "<string>",
"link": "<string>"
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Scholar
Get Scholar Author Profile
Get a full Google Scholar author profile including articles, citation stats, and co-authors.
GET
/
v1
/
google
/
scholar
/
author
Get Google Scholar author profile
Authorizations
Query Parameters
Scholar user ID (the user query parameter)
Language code
Articles pagination offset
Required range:
x >= 0Articles per page
Required range:
1 <= x <= 100Response
Successful Response
Response for GET /api/v1/scholar/author.
Header block of a Scholar author profile page.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Right-rail citation stats table.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I

